package cpcns.dingZhi.query.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.query.service.ComQueryService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"comqueryController"})
public class ComQuery extends DangAnBaseController {
  @Autowired
  private ComQueryService comQueryService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ICommonService commonService;
  
  @RequestMapping({"/toList.do"})
  public String toList() {
    return "dingZhi/jijian/comquery";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.comQueryService.query_SQL(this.start, this.number, this.table, request, CommStatic.getOrderBy(request, "hangBiaoShi"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo)
        .replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("", "")
        .replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("MIJI", "miJi")
        .replaceAll("XIANGMUMINGCHENG", "xiangMuMingCheng").replaceAll("GUIDANGNIANDU", "guiDangNianDu")
        .replaceAll("DANGHAO", "dangHao").replaceAll("XUHAO", "xuHao");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
}
